List Proposals
List mutation proposals for an agent.
Read-only view for business owners and risk owners to see what Darwin has proposed, evaluated, and whether improvements were verified.
GET
/
v1
/
agents
/
{agent_id}
/
evolution
/
proposals
List Proposals
curl --request GET \
--url https://api.example.com/v1/agents/{agent_id}/evolution/proposalsimport requests
url = "https://api.example.com/v1/agents/{agent_id}/evolution/proposals"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/agents/{agent_id}/evolution/proposals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/agents/{agent_id}/evolution/proposals"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"genome_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"genome_version": 123,
"status": "<string>",
"created_at": 123,
"trigger_summary": "",
"mutations": [],
"pre_fitness": {},
"post_fitness": {},
"fitness_delta": {},
"net_fitness_delta": 123,
"reviewed_at": 123,
"reviewed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reviewer_notes": "<string>",
"engine_name": "<string>",
"extra": {}
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Path Parameters
Query Parameters
Required range:
1 <= x <= 200Required range:
x >= 0Response
Successful Response
Paginated list of proposals from Darwin.
Hide child attributes
Hide child attributes
Last modified on April 21, 2026
Was this page helpful?
⌘I
List Proposals
curl --request GET \
--url https://api.example.com/v1/agents/{agent_id}/evolution/proposalsimport requests
url = "https://api.example.com/v1/agents/{agent_id}/evolution/proposals"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/agents/{agent_id}/evolution/proposals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/agents/{agent_id}/evolution/proposals"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"genome_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"genome_version": 123,
"status": "<string>",
"created_at": 123,
"trigger_summary": "",
"mutations": [],
"pre_fitness": {},
"post_fitness": {},
"fitness_delta": {},
"net_fitness_delta": 123,
"reviewed_at": 123,
"reviewed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reviewer_notes": "<string>",
"engine_name": "<string>",
"extra": {}
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}